class I2C_MEM:
    INPORT_REG = 0x00
    OUTPORT_REG = 0x02
    POLINV_REG = 0x04 
    CFG_REG = 0x06
    
    OPTO_IN = 0x08
    OPTO_IN_ADD1 = 0x09
    OPTO_IN_AC = 0x0A
    OPTO_IN_AC1 = 0x0B
    
    LED = 0x0C
    LED_VAL1 = 0x0D
    LED_SET = 0x0E
    LED_CLR = 0x0F
    LED_MODE = 0x10
    LED_MODE1 = 0x11
    
    OPTO_IT_RISING = 0x12
    OPTO_IT_RISING_ADD1 = 0x13
    OPTO_IT_FALLING = 0x14  
    OPTO_IT_FALLING_ADD1 = 0x15
    
    OPTO_CNT_RST = 0x16
    OPTO_ENC_ENABLE = 0x17
    OPTO_ENC_CNT_RST = 0x18

    OPTO_EDGE_COUNT_ADD = 25
    OPTO_ENC_COUNT_ADD = 89

    PWM_IN_FILL = 121

    PWR_LED_MODE = 0xA2

    IN_FREQENCY = 171
    
    WDT_RESET = 0xCA
    WDT_INTERVAL_SET = 0xCB
    WDT_INTERVAL_GET = 0xCD
    WDT_INIT_INTERVAL_SET = 0xCF
    WDT_INIT_INTERVAL_GET = 0xD1
    WDT_RESET_COUNT = 0xD3
    WDT_CLEAR_RESET_COUNT = 0xD5
    WDT_POWER_OFF_INTERVAL_SET = 0xD6
    WDT_POWER_OFF_INTERVAL_GET = 0xDA
    
    EXTI_EN = 0xDE

    REVISION_HW_MAJOR = 0xFB
    REVISION_HW_MINOR = 0xFC
    REVISION_MAJOR = 0xFD
    REVISION_MINOR = 0xFE

# Constants
DEVICE_ADDRESS = 0x20
WDT_RESET_SIGNATURE = 0xCA

# Channel parameters
MIN_CH_NO = 1
OPTO_CH_NO = 16
LED_CH_NO = 16

# Size constants
COUNTER_SIZE = 4
OPTO_ENC_CH_NO = 8
SCAN_FREQ_SIZE = 2
PWM_IN_FILL_SIZE = 2
IN_FREQENCY_SIZE = 2
OPTO_FREQUENCY_DATA_SIZE = 2
OPTO_FILL_FACTOR_SCALE = 100